Returns the time in milliseconds allowed for the query to finish

- « SolrQuery::getTermsUpperBound

- SolrQuery::removeExpandFilterQuery »

- PHP Manual
- SolrQuery
- Returns the time in milliseconds allowed for the query to finish

# SolrQuery::getTimeAllowed

(PECL solr >= 0.9.2)

SolrQuery::getTimeAllowed — Returns the time in milliseconds allowed for the query to finish

### Description

public SolrQuery::getTimeAllowed(): int

Returns the time in milliseconds allowed for the query to finish.

### Parameters

This function has no parameters.

### Return Values

Returns and integer on success and `null` if it is not set.